<?php

$idUser = $_REQUEST['id1'];
$idCodigo = $_REQUEST['id2'];
$estado = $_REQUEST['et'];
$name = '';

if($idUser != 0)
{
    $cnx = new PDO("mysql:host=localhost:3306;dbname=qpsec_EIR","qpsec_usrEIR", "MabeLuis2602");
    
    $sql= "Update seals set estado='$estado' where id=$idCodigo";
    $cnx->prepare($sql)->execute();  
    
    $res=$cnx->query("SELECT name FROM users WHERE id=$idUser");

    foreach ($res as $row){
        $name=utf8_encode($row['name']);
    }
    
    /*Colocar el codigo para insertar la notificacion si es necesario...*/
    $datos = 'El codigo ['.$idCodigo.'] ahora posee estado ['.$estado.']';
    $sqlInsert="INSERT INTO logs_sistema (id, fecha, user_id, operacion, permiso, datos, notificado) values (NULL, NOW(), $idUser, 'CODIGO', 'CAMBIO ESTADO', '$datos', 0)";
    //echo $sqlInsert;
    $cnx->prepare($sqlInsert)->execute();
        
    header("location: https://appeir.qps.ec/seals");
    
}

?>